My Project: dynamics.mod/NewtonDynamics/source/pthreads.2/semaphore.h File Reference

My Project

Macros | Typedefs | Functions
semaphore.h File Reference
`#include <errno.h>`

Go to the source code of this file.

## Macros

#define | PTW32_SEMAPHORE_LEVEL_MAX 3
#define | PTW32_SEMAPHORE_LEVEL PTW32_SEMAPHORE_LEVEL_MAX
#define | PTW32_DLLPORT __declspec (dllimport)
#define | _POSIX_SEMAPHORES

## Typedefs

typedef unsigned int | mode_t
typedef struct sem_t_ * | sem_t

## Functions

PTW32_DLLPORT int __cdecl | sem_init (sem_t *sem, int pshared, unsigned int value)
PTW32_DLLPORT int __cdecl | sem_destroy (sem_t *sem)
PTW32_DLLPORT int __cdecl | sem_trywait (sem_t *sem)
PTW32_DLLPORT int __cdecl | sem_wait (sem_t *sem)
PTW32_DLLPORT int __cdecl | sem_timedwait (sem_t *sem, const struct timespec *abstime)
PTW32_DLLPORT int __cdecl | sem_post (sem_t *sem)
PTW32_DLLPORT int __cdecl | sem_post_multiple (sem_t *sem, int count)
PTW32_DLLPORT int __cdecl | sem_open (const char *name, int oflag, mode_t mode, unsigned int value)
PTW32_DLLPORT int __cdecl | sem_close (sem_t *sem)
PTW32_DLLPORT int __cdecl | sem_unlink (const char *name)
PTW32_DLLPORT int __cdecl | sem_getvalue (sem_t *sem, int *sval)

## Macro Definition Documentation

## § _POSIX_SEMAPHORES

#define _POSIX_SEMAPHORES

## § PTW32_DLLPORT

#define PTW32_DLLPORT __declspec (dllimport)

## § PTW32_SEMAPHORE_LEVEL

#define PTW32_SEMAPHORE_LEVEL PTW32_SEMAPHORE_LEVEL_MAX

## § PTW32_SEMAPHORE_LEVEL_MAX

#define PTW32_SEMAPHORE_LEVEL_MAX 3

## Typedef Documentation

## § mode_t

typedef unsigned int mode_t

## § sem_t

typedef struct sem_t_* sem_t

## Function Documentation

## § sem_close()

PTW32_DLLPORT int __cdecl sem_close | ( | sem_t * | sem | ) |

## § sem_destroy()

PTW32_DLLPORT int __cdecl sem_destroy | ( | sem_t * | sem | ) |

## § sem_getvalue()

PTW32_DLLPORT int __cdecl sem_getvalue | ( | sem_t * | sem,
|  | int * | sval
| ) |  |

## § sem_init()

PTW32_DLLPORT int __cdecl sem_init | ( | sem_t * | sem,
|  | int | pshared,
|  | unsigned int | value
| ) |  |

## § sem_open()

PTW32_DLLPORT int __cdecl sem_open | ( | const char * | name,
|  | int | oflag,
|  | mode_t | mode,
|  | unsigned int | value
| ) |  |

## § sem_post()

PTW32_DLLPORT int __cdecl sem_post | ( | sem_t * | sem | ) |

## § sem_post_multiple()

PTW32_DLLPORT int __cdecl sem_post_multiple | ( | sem_t * | sem,
|  | int | count
| ) |  |

## § sem_timedwait()

PTW32_DLLPORT int __cdecl sem_timedwait | ( | sem_t * | sem,
|  | const struct timespec * | abstime
| ) |  |

## § sem_trywait()

PTW32_DLLPORT int __cdecl sem_trywait | ( | sem_t * | sem | ) |

## § sem_unlink()

PTW32_DLLPORT int __cdecl sem_unlink | ( | const char * | name | ) |

## § sem_wait()

PTW32_DLLPORT int __cdecl sem_wait | ( | sem_t * | sem | ) |